## Icon image Icon image — An icon image creator. |

## Functions

GdkPixbuf * | fm_pixbuf_from_icon ()
GdkPixbuf * | fm_pixbuf_from_icon_with_fallback ()

## Description

`include` : libfm/fm-gtk.h

## Functions

### fm_pixbuf_from_icon ()

    GdkPixbuf *
    fm_pixbuf_from_icon (FmIcon *icon,
                         int size);

Creates a GdkPixbuf and draws icon there.

Before 1.0.0 this call had name fm_icon_get_pixbuf.

#### Parameters

icon | icon descriptor |
size | size in pixels |

#### Returns

an image.

[transfer full]

Since: 0.1.0

### fm_pixbuf_from_icon_with_fallback ()

    GdkPixbuf *
    fm_pixbuf_from_icon_with_fallback (FmIcon *icon,
                                       int size,
                                       const char *fallback);

Creates a GdkPixbuf and draws icon there. If icon cannot be found then icon with name `fallback` will be loaded instead.

#### Parameters

icon | icon descriptor |
size | size in pixels |
fallback | name of fallback icon. | [allow-none]

#### Returns

an image.

[transfer full]

Since: 1.2.0

## Types and Values